Bug 52456 - new port:audio/xmms-flac
Summary: new port:audio/xmms-flac
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-20 08:30 UTC by David Yeske
Modified: 2003-06-10 16:46 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Yeske 2003-05-20 08:30:09 UTC
this is partial port for the flac xmms plugin

see audio/xmms-faad for an example of a partial port

xmms-flac needs to be its own port, because the method used in audio/faad is not correct

if the xmms plugin is installed via audio/faad, then removing xmms recursively will also remove
audio/faad which is not correct.

"any xmms plugin which depends on a library should be able to be removed without also removing
that library"

removing xmms recursively does not remove vorbis or libmikmod, and it should not remove flac
either

Fix: 

http://futurebsd.sourceforge.net/freebsd/ports/xmms-flac.tgz

__________________________________
Do you Yahoo!?
The New Yahoo! Search - Faster. Easier. Bingo.
http://search.yahoo.com
Comment 1 Mario Sergio Fujikawa Ferreira freebsd_committer 2003-06-09 20:21:37 UTC
Christian,

	What do you think about this? It allows users to get the
plugin optionally without having to reinstall the flac port. Aside
from the reasons given by David on his PR.

http://www.FreeBSD.org/cgi/query-pr.cgi?pr=52456

	I've already revised his port. It is ready to go.
However, since your port can install the plugin if XMMS is installed,
it conflicts with xmms-flac port. Would you mind disabling the
plugin build in flac permanently? So that we can commit xmms-flac?

	Regards,

-- 
Mario S F Ferreira - DF - Brazil - "I guess this is a signature."
FreeBSD Committer | FreeBSD-KDE Core Team | CS Developer
feature, n: a documented bug | bug, n: an undocumented feature
Comment 2 Christian Weisgerber freebsd_committer 2003-06-10 16:46:13 UTC
State Changed
From-To: open->closed

Thanks for bringing this to our attention.  I have comitted my own 
xmms-flac port.